#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

using System.Diagnostics;
using Syncfusion.UI.Xaml.Grid;
using ValidateTest.DataModel;
using Syncfusion.UI.Xaml.Grid.Helpers;
using System.Windows.Input;

namespace ValidateTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        UserInfo obj = new UserInfo();
        public MainWindow()
        {
            InitializeComponent();
            this.DataGrid.RowValidating += DataGrid_RowValidating;
            this.DataGrid.RowValidated += DataGrid_RowValidated;           
            this.DataGrid.CurrentCellValueChanged += DataGrid_CurrentCellValueChanged;
            this.DataGrid.CurrentCellDropDownSelectionChanged += DataGrid_CurrentCellDropDownSelectionChanged;
        }       
        void DataGrid_CurrentCellDropDownSelectionChanged(object sender, CurrentCellDropDownSelectionChangedEventArgs args)
        {
            int rowIndex = args.RowColumnIndex.RowIndex;
            int columnIndex = this.DataGrid.ResolveToGridVisibleColumnIndex(args.RowColumnIndex.ColumnIndex);
            //var mappingName = this.DataGrid.Columns[columnIndex].MappingName;
            //var recordIndex = this.DataGrid.ResolveToRecordIndex(rowIndex);
            //var recordInfo = this.DataGrid.View.Records.GetItemAt(recordIndex);
            //We are enabling the RowValidating event if the changes happen in GridCheckBoxColumn
            if (this.DataGrid.Columns[columnIndex].CellType == "ComboxBox")
            {
                this.DataGrid.GetValidationHelper().SetCurrentRowValidated(false);
            }        
        }           
           
        void DataGrid_CurrentCellValueChanged(object sender, CurrentCellValueChangedEventArgs args)
        {
            int rowIndex = args.RowColumnIndex.RowIndex;
            int columnIndex = this.DataGrid.ResolveToGridVisibleColumnIndex(args.RowColumnIndex.ColumnIndex);
            //var mappingName = this.DataGrid.Columns[columnIndex].MappingName;
            //var recordIndex = this.DataGrid.ResolveToRecordIndex(rowIndex);
            //var recordInfo = this.DataGrid.View.Records.GetItemAt(recordIndex);
            //We are enabling the RowValidating event if the changes happen in GridCheckBoxColumn
            if (this.DataGrid.Columns[columnIndex].CellType == "CheckBox")
            {
                this.DataGrid.GetValidationHelper().SetCurrentRowValidated(false);
            }        
        }
        void DataGrid_RowValidated(object sender, RowValidatedEventArgs args)
        {
        }
        void DataGrid_RowValidating(object sender, RowValidatingEventArgs args)
        {
           
        }
        private void MyComboBox_SelectionChanged(object sender, System.Windows.Controls.SelectionChangedEventArgs e)
        {                    
                this.DataGrid.GetValidationHelper().SetCurrentRowValidated(false);               
        }             
    }
}
